import {Component, OnInit} from '@angular/core';
import {ActivatedRoute} from '@angular/router';
import {Api} from '../../service/api';
import {Load} from '../../service/load';
import {NgxDatatableModule} from '@swimlane/ngx-datatable';

@Component({
    selector: 'v-env-history',
    templateUrl: './env-history.page.html',
    styleUrls: ['./env-history.page.scss'],
})
export class EnvHistoryPage implements OnInit {

    constructor(private api: Api, private ac: ActivatedRoute, private load: Load) {
    }

    item: any = {};

    // --------------------------------------------------------------------------------
    // TODO 以下为假数据 待删除
    chartOption = {
        backgroundColor: '#F0F8FF',
        visualMap: [
            {show: false, type: 'continuous', seriesIndex: 0, min: 0, max: 400},
            {show: false, type: 'continuous', seriesIndex: 1, dimension: 0, min: 0, max: 400}],
        xAxis: {
            name: '', type: 'category',
            data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
        },
        yAxis: [
            {name: '温度(℃)', type: 'value', splitLine: {show: false}},
            {name: '湿度(%)', type: 'value', max: 100, splitLine: {show: false}}
        ],
        series: [
            {data: [28, 32, 35, 34, 30, 29, 27], type: 'line'},
            {data: [15, 13, 12, 11, 12, 11, 87], yAxisIndex: 1, type: 'line'},
            {data: [76, 45, 43, 23, 34, 54, 23], yAxisIndex: 1, type: 'line'}
        ]
    };

    // 时间 热应激 温度 湿度 光照 风机 喷淋 照明
    rows = [
        {time: '17:00', thi: '轻', temp: '23.8', humi: '56', NH3: '70'},
        {time: '17:30', thi: '中', temp: '27.2', humi: '43', NH3: '80'},
        {time: '18:00', thi: '轻', temp: '23.2', humi: '61', NH3: '99'},
        {time: '18:30', thi: '轻', temp: '23.1', humi: '47', NH3: '100'},
        {time: '19:00', thi: '轻', temp: '20.2', humi: '43', NH3: '60'},
        {time: '19:30', thi: '轻', temp: '21.6', humi: '34', NH3: '50'},
        {time: '20:00', thi: '轻', temp: '22.5', humi: '43', NH3: '40'},
    ];
    // --------------------------------------------------------------------------------

    ngOnInit() {
        this.ac.queryParams.subscribe((data) => {
            this.item.fieldRegionNo = data.no;
        });
        this.getData(0);

        // --------------------------------------------------------------------------------
        // TODO 待删除
        this.chartOption.xAxis.data = ['1', '2', '3', '4', '5', '6', '7', '8'];
        // for (let i = 0; i < 8; i++) {
        //     this.chartOption.xAxis.data = ['1', '2', '3', '4', '5', '6', '7', '8'];
        // }
        // --------------------------------------------------------------------------------
    }

    getData(time) {
        if (time) {
            this.load.toLoad('加载中...', false);
        }
        this.api.cowshedApp.getRealDataByFieldRegionNo([{'fieldRegionNo': this.item.fieldRegionNo}, (data) => {
            // TODO  测试用假数据
            data.fieldRegionName = '1号牛舍';
            if (data) {
                this.item = data;
            }
        }]);
    }

}
